%{?mingw_package_header}

Name:           mingw-libidn
Version:        1.41
Release:    1%{?dist}
Summary:        MinGW Windows Internationalized Domain Name support library

License:        LGPLv2+
URL:            http://www.gnu.org/software/libidn/
Source0:        http://ftp.gnu.org/gnu/libidn/libidn-%{version}.tar.gz

BuildArch:      noarch

BuildRequires: make
BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-win-iconv

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-gettext
BuildRequires:  mingw64-win-iconv

BuildRequires:  pkgconfig gettext-devel


%description
GNU Libidn is an implementation of the Stringprep, Punycode and
IDNA specifications defined by the IETF Internationalized Domain
Names (IDN) working group, used for internationalized domain
names.


%package -n mingw32-libidn
Summary:        MinGW Windows zlib compression library for the win32 target
Requires:       pkgconfig

%description -n mingw32-libidn
GNU Libidn is an implementation of the Stringprep, Punycode and
IDNA specifications defined by the IETF Internationalized Domain
Names (IDN) working group, used for internationalized domain
names.

%package -n mingw32-libidn-static
Summary:        Static version of the MinGW Windows IDN library
Requires:       mingw32-libidn = %{version}-%{release}

%description -n mingw32-libidn-static
Static version of the MinGW Windows IDN library.

%package -n mingw64-libidn
Summary:        MinGW Windows zlib compression library for the win64 target
Requires:       pkgconfig

%description -n mingw64-libidn
GNU Libidn is an implementation of the Stringprep, Punycode and
IDNA specifications defined by the IETF Internationalized Domain
Names (IDN) working group, used for internationalized domain
names.

%package -n mingw64-libidn-static
Summary:        Static version of the MinGW Windows IDN library
Requires:       mingw64-libidn = %{version}-%{release}

%description -n mingw64-libidn-static
Static version of the MinGW Windows IDN library.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n libidn-%{version}


%build
%mingw_configure --disable-nls --disable-csharp --enable-static --enable-shared
%mingw_make_build

%install
%mingw_make_install

rm -r %{buildroot}%{mingw32_datadir}/emacs
rm -r %{buildroot}%{mingw64_datadir}/emacs
rm -r %{buildroot}%{mingw32_infodir}
rm -r %{buildroot}%{mingw64_infodir}
rm -r %{buildroot}%{mingw32_mandir}/man*
rm -r %{buildroot}%{mingw64_mandir}/man*

rm -f %{buildroot}%{mingw32_bindir}/libidn-12.def
rm -f %{buildroot}%{mingw64_bindir}/libidn-12.def

find %{buildroot} -name "*.la" -delete


%files -n mingw32-libidn
%license COPYING COPYING.LESSERv2 COPYING.LESSERv3 COPYINGv2 COPYINGv3
%{mingw32_bindir}/idn.exe
%{mingw32_bindir}/libidn-12.dll
%{mingw32_libdir}/libidn.dll.a
%{mingw32_libdir}/pkgconfig/libidn.pc
%{mingw32_includedir}/*.h

%files -n mingw32-libidn-static
%{mingw32_libdir}/libidn.a

%files -n mingw64-libidn
%license COPYING COPYING.LESSERv2 COPYING.LESSERv3 COPYINGv2 COPYINGv3
%{mingw64_bindir}/idn.exe
%{mingw64_bindir}/libidn-12.dll
%{mingw64_libdir}/libidn.dll.a
%{mingw64_libdir}/pkgconfig/libidn.pc
%{mingw64_includedir}/*.h

%files -n mingw64-libidn-static
%{mingw64_libdir}/libidn.a


%changelog
* Wed Aug 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.41-1
- initial build
